################################################################
# Copyright (C) 1989,1990 by Michael Mauldin.  Permission is granted
# to use this file in whole or in part for any purpose, educational,
# recreational or commercial, provided that this copyright notice
# is retained unchanged.  This software is available to all free of
# charge by anonymous FTP and in the UUNET archives.
#
#	Makefile for FBM pixmap manipulation routines
#
# HISTORY
# 25-Jun-90  Michael Mauldin (mlm@cs.cmu.edu) at Carnegie Mellon
#	Added fbm2tiff, fbgamma, fbrev, packaged for 1.0 release.
#
# 05-Apr-90  Gary W. Sherwin (sherwin) at Westinghouse STC
# 	Added fbpalet to do palet exchange without remapping
#	
# 18-Oct-89  Gary W. Sherwin (sherwin) at Westinghouse STC
#	Added mps2fbm to convert microtek 1bit ps scans to fbm
#
# 23-Aug-89  Michael Mauldin (mlm) at Carnegie Mellon University
#	Beta release (version 0.96) (UUNET, Tiff support, bug fixes)
#
# 20-May-89  Michael Mauldin (mlm) at Carnegie Mellon University
#	Beta release (version 0.94) (Amiga HAM mode, bug fixes)
#
# 03-May-89  Michael Mauldin (mlm) at Carnegie Mellon University
#	Beta release (version 0.93) (bug fixes)
#
# 30-Apr-89  Michael Mauldin (mlm) at Carnegie Mellon University
#	Beta release (version 0.92) (color PS files, bug fixes)
#
# 06-Apr-89  Michael Mauldin (mlm) at Carnegie Mellon University
#	Added qrt2fbm, tga2fbm, fbm2tga, pic2fbm to Makefile
#	User contributed software.
#
# 16-Feb-89  Michael Mauldin (mlm) at Carnegie Mellon University
#	Alpha release (version 0.8)
#
# 18-Nov-88  Gary W. Sherwin (sherwin) at Westinghouse R&D
#       added bedge and bclean libraries and instructions.
#
# 12-Nov-88  Michael Mauldin (mlm) at Carnegie-Mellon University
#	Created this makefile, broke libfbm into separate files
#	for compilation.
#
# Notes: "make all" will compile all of the programs.  "make install"
#	 will compile all programs and place the executables in the
#	 BIN directory and the manual entries in the MAN directory.
#	 "Make tiffinstall" will compile and install the tiff2fbm and
#	 fbm2tiff programs, if you have the tifflib library
#
#	 For most people, linking the executables to the bin directory
#	 is fine.  But if your local software is on a different filesystem,
#	 you should change the value of the INSTALL variable to either
#	 "cp" or "mv".
#
#	 On some systems that keep software in /usr/local, the
#	 required extension on manual entries is "l" (ell).  For
#	 these systems, change the MANEXT variable.
#
################################################################

SRCDIR = ..
include $(SRCDIR)/Make.Rules

ARLIB = libfbm.a

OBJS= flalfb.o flblue.o flbyte.o flcavg.o flclr.o fledge.o flextr.o flface.o \
      flflyd.o flgifc.o flgife.o flgifr.o flgifw.o fliff.o flklnr.o flpbm.o \
      flpcx.o flrdfb.o flread.o flrot.o flshrp.o flsun.o flthre.o flwrfb.o \
      flpic.o fltga.o fluun.o flrle.o

HDRS= fbm.h

MAJOR = 1
MINOR = 0
PATCH = 0

SHBASE=fbm

include $(SRCDIR)/Make.Targets
